# Summary

* [Getting Started with GORM](README.md)
* [Database](database.md)
  * [Database Connection](database.md#connecting-to-a-database)
  * [Migration](database.md#migration)
* [Models](models.md)
  * [Model Definition](models.md#model-definition),
  * [Conventions & Overriding](models.md#conventions),
  * [Associations](associations.md)
    * [Belongs To](associations.md#belongs-to)
    * [Has One](associations.md#has-one)
    * [Has Many](associations.md#has-many)
    * [Many To Many](associations.md#many-to-many)
    * [Polymorphism](associations.md#polymorphism)
    * [Association Mode](associations.md#association-mode)
  * [Dialect Specific Data Type](dialects.md#dialect-data-type)
* [CRUD: Reading and Writing Data](crud.md)
  * [Create](crud.md#create),
  * [Query](crud.md#query),
  * [Preloading (Eager Loading)](crud.md#preloading-eager-loading),
  * [Update](crud.md#update),
  * [Delete / Soft Delete](crud.md#delete)
  * [Associations](crud.md#associations)
* [Callbacks](callbacks.md)
* [Advanced Usage](advanced.md)
  * [Error Handling](advanced.md#error-handling)
  * [Transactions](advanced.md#transactions)
  * [Raw SQL & SQL Builder](advanced.md#sql-builder)
  * [Generic database interface sql.DB](advanced.md#generic-database-interface-sqldb)
  * [Composite Primary Key](advanced.md#compose-primary-key)
  * [Overriding Logger](advanced.md#logger)
* [Development](development.md)
  * [Architecture](development.md#architecture)
  * [Write Plugins](development.md#write-plugins)
* [Change Log](changelog.md)
